Create user

POST/v2/users

Create user

Body #

Object representing a new user creation request

application/json
PropertyTypeDescription
emailstringRequiredEmail address of the new user
namestringRequiredFull name of the new user
rolestringRequiredRole to assign to the new user

Request #

curl -X POST 'https://api.axiom.co/v2/users' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"email":"jane.doe@example.com","name":"Jane Doe","role":"member"}'
Try itRun this request against your Axiom organization

Credentials stay in this browser tab and are only sent to Axiom when you run the request.

Response #

200User
application/json
PropertyTypeDescription
emailstringRequiredUser's email address
idstringRequiredUnique identifier for the user
namestringRequiredUser's full name
roleobjectRequiredDetailed information about a user's role
idstringRequiredUnique identifier for the role
namestringRequiredHuman-readable name of the role